root = "."
testdata_dir = "testdata"
tmp_dir = "tmp"
env_files = [".env"]

[build]
  args_bin = []
  bin = "./tmp/main"
  cmd = "go generate ./... && go build -o ./tmp/main ./cmd/schreifuchs-ch/main.go"
  delay = 1000
  exclude_dir = ["assets", "tmp", "vendor", "testdata", "node_modules", ".git", ".gitea"]
  exclude_file = []
  exclude_regex = ["_test.go", "_templ.go"]
  exclude_unchanged = false
  follow_symlink = false
	full_bin = "dlv exec ./tmp/main --listen=127.0.0.1:2345 --headless=true --api-version=2 --accept-multiclient --continue --log --"
  include_dir = []
  include_ext = ["go", "tpl", "tmpl", "templ", "html", "css"]
  kill_delay = "0s"
  log = "build-errors.log"
  poll = false
  poll_interval = 0
  rerun = false
  send_interrupt = false
  stop_on_error = true

[proxy]
  enabled = true
  proxy_port = 8888
  app_port = 8080
	app_start_timeout = 50000000

[color]
  app = ""
  build = "yellow"
  main = "magenta"
  runner = "green"
  watcher = "cyan"

[log]
  main_only = false
  time = false

[misc]
  clean_on_exit = false

[env]
  TEST_PW = "test"
  VALKEY_ADDR = "127.0.0.1:6379"
  VALKEY_PASSWORD = "valkey"

[screen]
  clear_on_rebuild = false
  keep_scroll = true
